Page MenuHomePhabricator

Implement AtomicReadBuffer for choice of PHP-Queue backend
Closed, ResolvedPublic2 Story Points

Description

Once we settle on the new backend for queueing, its PHP-Queue driver needs to support popAtomic.

Must include tests.

Event Timeline

awight created this task.Apr 29 2016, 12:38 AM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 29 2016, 12:38 AM
awight removed awight as the assignee of this task.May 4 2016, 9:53 PM
Danny_B moved this task from Unsorted to Add / Create on the Technical-Debt board.May 22 2016, 7:59 PM

Change 293248 had a related patch set uploaded (by Awight):
Implement popAtomic for Redis

https://gerrit.wikimedia.org/r/293248

awight claimed this task.Jun 8 2016, 3:47 AM
awight moved this task from Doing to Review on the Fundraising Sprint Licking Cookies board.

Change 293248 merged by Ejegg:
Implement popAtomic for Redis

https://gerrit.wikimedia.org/r/293248

awight closed this task as Resolved.Jul 15 2016, 12:50 AM
mmodell removed a subscriber: awight.Jun 22 2017, 9:54 PM